unit KRFTable;

{$IFDEF FPC}
  {$MODE Delphi}
{$ENDIF}

interface

uses Classes;

const
  KRF_TABLE: array [0..685] of string = ('language', 'font_family',
    'font_style', 'font_weight', 'font_variant', 'font_stretch', 'font_size',
    'font_scale', 'ot_features', 'text_color', 'text_opacity',
    'text_background_color', 'text_background_opacity', 'underline',
    'underline_color', 'underline_opacity', 'underline_weight', 'strikethrough',
    'strikethrough_color', 'strikethrough_opacity', 'strikethrough_weight',
    'baseline_shift', 'letterspacing', 'wordspacing', 'text_alignment',
    'text_alignment_last', 'text_indent', 'left_indent', 'right_indent',
    'space_before', 'space_after', 'text_transform', 'line_height',
    'line_height_fit', 'baseline_style', 'nobreak', 'margin', 'margin_top',
    'margin_left', 'margin_bottom', 'margin_right', 'padding', 'padding_top',
    'padding_left', 'padding_bottom', 'padding_right', 'width', 'height', 'top',
    'left', 'bottom', 'right', 'min_height', 'min_width', 'max_height',
    'max_width', 'fixed_width', 'fixed_height', 'visibility', 'ignore',
    'fill_color', 'fill_gradient', 'fill_opacity', 'fill_bounds', 'fill_rule',
    'stroke_color', 'stroke_width', 'stroke_linecap', 'border_opacity',
    'border_opacity_top', 'border_opacity_left', 'border_opacity_bottom',
    'border_opacity_right', 'border_color', 'border_color_top',
    'border_color_left', 'border_color_bottom', 'border_color_right',
    'border_style', 'border_style_top', 'border_style_left',
    'border_style_bottom', 'border_style_right', 'border_weight',
    'border_weight_top', 'border_weight_left', 'border_weight_bottom',
    'border_weight_right', 'transform', 'draw_spanning_borders', 'list_style',
    'list_indent_style', 'list_indent', 'list_replacer', 'list_start_offset',
    'outline_color', 'outline_offset', 'outline_style', 'outline_weight',
    'gradient_type', 'gradient_stops', 'gradient_stop', 'column_count',
    'column_gap', 'column_min_width', 'column_rule_style', 'column_rule_color',
    'column_rule_weight', 'column_span', 'column_balance',
    'footnote_line_style', 'footnote_line_color', 'footnote_line_weight',
    'footnote_line_length', 'footnote_spacing', 'dropcap_lines',
    'dropcap_chars', 'hyphens', 'min_hyphen_word_length', 'min_chars_per_line',
    'keep_together', 'first', 'last', 'break_after', 'break_before',
    'break_inside', 'max_auto_grow', 'min_auto_shrink', 'scale_with_image',
    'wrap_rule', 'float', 'page_templates', 'style_events', 'offset', 'length',
    'content', 'content_list', 'knockout_region', 'table_column_span',
    'table_row_span', 'table_border_collapse', 'header', 'column_format',
    'title', 'description', 'id', 'layout', 'style', 'parent_style', 'type', 'embed',
    'format', 'mime', 'target', 'external_resource', 'location', 'search_path',
    'referred_resources', 'manifest', 'reading_orders', 'sections', 'condition',
    'conditional_styling', 'style_name', 'section_name', 'resource_name',
    'story_name', 'gradient_name', 'reading_order_name', 'link_to',
    'anchor_name', 'contains', 'locations', 'position', 'pid', 'eid', 'uri',
    'link_confirm', 'link_use_external_app', 'up_image', 'down_image',
    'paragraph_mark', 'direction', 'PRIVATE_parent_image_scale',
    'PRIVATE_view_width', 'PRIVATE_view_height', 'PRIVATE_is_storyline_content',
    'PRIVATE_paper_color', 'PRIVATE_ink_color', 'section_title',
    'section_kicker', 'section_description', 'section_author', 'section_tags',
    'section_date_created', 'is_advertisement', 'smooth_scrolling',
    'hide_from_toc', 'section_layout', 'has_audio', 'has_video',
    'has_slideshow', 'toc', 'scrubbers', 'thumbnails', 'orientation',
    'binding_direction', 'support_portrait', 'support_landscape', 'issue_date',
    'binding_direction_left', 'binding_direction_right', 'author', 'ISBN',
    'ASIN', 'is_TTS_enabled', 'date_created', 'ISBN-10', 'ISBN-13', 'MHID',
    'target_WideDimension', 'target_NarrowDimension', 'publisher', 'cover_page',
    'illustrator', 'nav_type', 'landmarks', 'page_list', 'landmark_type',
    'nav_container_name', 'nav_unit_name', 'representation', 'designation',
    'enumeration', 'label', 'icon', 'target_position', 'entries', 'entry_set',
    'path', 'shape_list', 'cde_content_type', 'container_list',
    'entity_dependencies', 'mandatory_dependencies', 'optional_dependencies',
    'AmazonDigitalBook', 'inherit', 'metadata', 'storyline', 'section',
    'style_group', 'font', 'gradient', 'position_map', 'position_id_map',
    'anchor', 'section_metadata', 'hyphen_dictionary', 'text', 'container',
    'image', 'kvg', 'shape', 'plugin', 'knockout', 'list', 'listitem', 'table',
    'table_row', 'sidebar', 'footnote', 'figure', 'inline', 'png', 'jpg', 'gif',
    'pobject', 'localPage', 'hasContent', 'paragraphMark', 'or', 'and', 'not',
    '==', '!=', '>', '>=', '<', '<=', 'hasColor', 'hasVideo', 'screenPixelWidth',
    'screenPixelHeight', 'screenActualWidth', 'screenActualHeight', 'unit', 'value',
    'em', 'ex', 'lh', 'vw', 'vh', 'vmin', 'percent', 'cm', 'mm', 'in', 'pt', 'px', 'center',
    'justify', 'horizontal', 'vertical', 'fixed', 'overflow', 'scale_fit',
    'radial', 'solid', 'double', 'dashed', 'dotted', 'thick_thin', 'thin_thick',
    'groove', 'ridge', 'inset', 'outset', 'non_zero', 'even_odd', 'disc',
    'square', 'circle', 'numeric', 'roman_lower', 'roman_upper', 'alpha_lower',
    'alpha_upper', 'null', 'none', 'normal', 'default', 'always', 'avoid',
    'column', 'thin', 'ultra_light', 'light', 'book', 'medium', 'semi_bold',
    'bold', 'ultra_bold', 'heavy', 'ultra_heavy', 'condensed', 'semi_condensed',
    'semi_expanded', 'expanded', 'small_caps', 'superscript', 'subscript',
    'uppercase', 'lowercase', 'titlecase', 'rtl', 'ltr', 'content_bounds',
    'border_bounds', 'padding_bounds', 'margin_bounds', 'oblique', 'italic',
    'auto', 'manual', 'portrait', 'landscape', 'preview_images',
    'overlay_resource', 'book_navigation', 'section_navigation',
    'nav_container', 'nav_containers', 'nav_unit', 'conditional_nav_group_unit',
    'resource_path', 'srl', 'titlepage', 'acknowledgements', 'preface', 'loi',
    'lot', 'bibliography', 'index', 'glossary', 'frontmatter', 'bodymatter',
    'backmatter', 'erl', 'bcContId', 'bcComprType', 'bcDRMScheme',
    'bcChunkSize', 'bcIndexTabOffset', 'bcIndexTabLength', 'bcDocSymbolOffset',
    'bcDocSymbolLength', 'bcRawMedia', 'bcRawFont', 'container_entity_map',
    'pbm', 'both', 'resource_width', 'resource_height', 'cover_image',
    'page_progression_direction', 'activate', 'ordinal', 'action',
    'backdrop_style', 'hide', 'show', 'blank', 'orientation_lock',
    'virtual_panel', 'auto_crop', 'selection', 'page_spread', 'facing_page',
    'zoom_target', 'popup', 'enabled', 'disabled', 'zoom_panel', 'popup_text',
    'text_vert_anchor', 'text_hori_anchor', 'text_top', 'text_baseline',
    'text_bottom', 'text_start', 'text_middle', 'text_end', 'caption', 'body',
    'footer', 'border_spacing_vertical', 'border_spacing_horizontal',
    'hide_empty_cells', 'border_radius_top_left', 'border_radius_top_right',
    'border_radius_bottom_left', 'border_radius_bottom_right',
    'PRIVATE_doc_fonts', 'volume_label', 'parent_asin', 'asset_id',
    'revision_id', 'zoom_in', 'zoom_out', 'btt', 'ttb', 'force', 'scale',
    'source', 'fit_text', 'clip', 'spacing_percent_base', 'fit_width',
    'background_image', 'background_positionx', 'background_positiony',
    'background_sizex', 'background_sizey', 'background_repeat', 'repeat_x',
    'repeat_y', 'no_repeat', 'relative', 'viewport', 'book_metadata',
    'categorised_metadata', 'key', 'priority', 'refines', 'category', 'shadows',
    'text_shadows', 'color', 'horizontal_offset', 'vertical_offset', 'blur',
    'spread', 'list_style_image', 'custom_viewer', 'rem', 'ch', 'vmax',
    'gridlines', 'parameter_list', 'set_parameters', 'hang_punctuation',
    'layouts', 'layout_name', 'grid_system', 'component_layout', '+', '-', '*', '/',
    'asSymbol', 'asString', 'asNumber', 'asList', 'asStructure', 'isLandscape',
    'isPortrait', 'isFirstPage', 'text_background_image', 'stroke_linejoin',
    'stroke_miterlimit', 'stroke_dasharray', 'stroke_dashoffset', 'round',
    'butt', 'miter', 'bevel', 'component', 'document_data', 'component_name',
    'salience', 'border_radius', 'clip_path_list', 'clip_path', 'clip_rule',
    'clip_path_index', 'sizing_bounds', 'background_origin', 'jxr',
    'transform_origin', 'location_map', 'list_style_position', 'inside',
    'outside', 'overline', 'overline_color', 'overline_weight', 'horizontal_tb',
    'vertical_lr', 'vertical_rl', 'writing_mode', 'all_small_caps', 'ligatures',
    'kerning', 'page_index', 'pdf', 'text_overflow', 'ellipsis', 'text_clip',
    'word_break', 'break_all', 'kicker', 'article_id', 'all', 'browse',
    'nav_visibility', 'link_visited_style', 'link_unvisited_style', 'nbsp_mode',
    'space', 'box_align', 'pan_zoom', 'letterspacing_left', 'glyph_transform',
    'alt_text', 'content_features', 'namespace', 'major_version',
    'minor_version', 'version_info', 'features', 'exclude', 'include',
    'format_capabilities', 'bcFCapabilitiesOffset', 'bcFCapabilitiesLength',
    'horizontal_rule', 'auxiliary_data', 'kfx_id', 'bmp', 'tiff', 'render',
    'block', 'layout_type', 'model', 'word_iteration_type', 'word', 'icu',
    'structure', 'section_position_id_map', 'yj.eidhash_eid_section_map',
    'yj.section_pid_count_map', 'yj.bpg', 'yj.authoring', 'yj.conversion',
    'yj.classification', 'yj.display', 'yj.note', 'yj.chapternote',
    'yj.endnote', 'yj.sidenote', 'yj.location_pid_map', 'yj.first_line_style',
    'yj.number_of_lines', 'yj.percentage', 'yj.first_line_style_type',
    'yj.kfxid_eid_map', 'yj.interactive_element_list', 'yj.float_clear',
    'yj.table_features', 'yj.table_selection_mode', 'yj.rowwise', 'yj.regional',
    'yj.vertical_align', 'yj.sorting', 'yj.variants', 'yj.tiles',
    'yj.tile_width', 'yj.tile_height', 'yj.user_margin_top_percentage',
    'yj.user_margin_bottom_percentage', 'yj.user_margin_left_percentage',
    'yj.user_margin_right_percentage', 'yj.header_overlay', 'yj.footer_overlay',
    'yj.max_crop', 'yj.collision', 'yj.min_aspect_ratio', 'yj.max_aspect_ratio',
    'yj.viewer', 'yj.border_path', 'yj.majority', 'yj.queue',
    'yj.connected_page_spread', 'yj.connected_panels',
    'yj.connected_pagination', 'yj.enable_connected_dps', 'yj.disable_stacking',
    'yj.float_align', 'yj.supports', 'yj.illustrated_layout',
    'yj.disable_adaptive_layout', 'yj.disable_repeated_headers',
    'yj.conditional_properties', 'yj.sdl_version', 'yj.comic_panel_view_mode',
    'yj.guided_view', 'yj.content_defined', 'yj.auto_contrast', 'yj.before',
    'yj.after', 'yj.at', 'yj.float_bias', 'yj.float_to_block', 'bidi_unicode',
    'bidi_embed', 'isolate', 'override', 'isolate_override', 'plaintext',
    'start', 'end', 'bidi_direction', 'annotation', 'pan_zoom_viewer',
    'select_as_group', 'kvg_content_type', 'annotation_type', 'math',
    'mathsegment', 'mathml', 'nontext', 'path_bundle', 'path_list',
    'arabic_indic', 'persian');

function GetKRFTable: TStringList;

implementation

function GetKRFTable: TStringList;
var
  i: Integer;
begin
  Result := TStringList.Create;
  for i := 0 to High(KRF_TABLE) do
    Result.Add(KRF_TABLE[i]);
end;

end.
